Lines Matching refs:echo

45 progname=`echo "$progpath" | $SED $basename`
71 # Check that we have a working $echo.
75 elif test "X$1" = X--fallback-echo; then
78 elif test "X`($echo '\t') 2>/dev/null`" = 'X\t'; then
79 # Yippee, $echo works!
82 # Restart under the correct shell, and then maybe $echo will work.
86 if test "X$1" = X--fallback-echo; then
87 # used as fallback echo
107 case `echo X|tr X '\101'` in
139 $echo "$modename: not configured to build any kind of library" 1>&2
140 $echo "Fatal configuration error. See the $PACKAGE docs for more information." 1>&2
150 show="$echo"
192 $echo "cannot create temporary directory \`$my_tmpdir'" 1>&2
197 $echo "X$my_tmpdir" | $Xsed
243 $echo $win32_libid_type
268 " $CC "* | "$CC "* | " `$echo $CC` "* | "`$echo $CC` "* | " $CC_quoted"* | "$CC_quoted "* | " `$echo $CC_quoted` "* | "`$echo $CC_quoted` "*) ;;
287 " $CC "* | "$CC "* | " `$echo $CC` "* | "`$echo $CC` "* | " $CC_quoted"* | "$CC_quoted "* | " `$echo $CC_quoted` "* | "`$echo $CC_quoted` "*)
301 $echo "$modename: unable to infer tagged configuration"
302 $echo "$modename: specify a tag with \`--tag'" 1>&2
305 # $echo "$modename: using $tagname tagged configuration"
324 $echo "$modename: ERROR: object name conflicts: $f_ex_an_ar_dir/$f_ex_an_ar_oldlib" 1>&2
355 my_xlib=`$echo "X$my_xlib" | $Xsed -e 's%^.*/%%'`
385 darwin_base_archive=`$echo "X$darwin_archive" | $Xsed -e 's%^.*/%%'`
388 darwin_arches=`echo "$darwin_arches" | $SED -e 's/.*are://'`
438 -*=*) optarg=`$echo "X$arg" | $Xsed -e 's/[-_a-zA-Z0-9]*=//'` ;;
455 $echo "$progname: invalid tag name: $tagname" 1>&2
471 $echo "$progname: ignoring unknown tag $tagname" 1>&2
493 echo "\
512 $echo "$progname: enabling shell trace mode"
522 $echo "host: $host"
524 $echo "enable shared libraries"
526 $echo "disable shared libraries"
529 $echo "enable static libraries"
531 $echo "disable static libraries"
566 $echo "$modename: unrecognized option \`$arg'" 1>&2
567 $echo "$help" 1>&2
579 $echo "$modename: option \`$prevopt' requires an argument" 1>&2
580 $echo "$help" 1>&2
592 build_old_libs=`case $build_libtool_libs in yes) echo no;; *) echo yes;; esac`
605 $echo "*** Warning: inferring the mode of operation is deprecated." 1>&2
606 $echo "*** Future versions of Libtool will require --mode=MODE be specified." 1>&2
636 $echo "$modename: warning: cannot infer operation mode from \`$nonopt'" 1>&2
638 $echo "$modename: warning: cannot infer operation mode without MODE-ARGS" 1>&2
647 $echo "$modename: unrecognized option \`-dlopen'" 1>&2
648 $echo "$help" 1>&2
690 $echo "$modename: you cannot specify \`-o' more than once" 1>&2
713 args=`$echo "X$arg" | $Xsed -e "s/^-Wc,//"`
730 lastarg=`$echo "X$lastarg" | $Xsed -e "s/^ //"`
749 lastarg=`$echo "X$lastarg" | $Xsed -e "$sed_quote_subst"`
768 $echo "$modename: you must specify an argument for -Xcompile"
772 $echo "$modename: you must specify a target with \`-o'" 1>&2
777 [ -z "$libobj" ] && libobj=`$echo "X$srcfile" | $Xsed -e 's%^.*/%%'`
801 libobj=`$echo "X$libobj" | $Xsed -e "s/\.$xform$/.lo/"`
804 *.lo) obj=`$echo "X$libobj" | $Xsed -e "$lo2o"` ;;
806 $echo "$modename: cannot determine name of library object from \`$libobj'" 1>&2
832 qlibobj=`$echo "X$libobj" | $Xsed -e "$sed_quote_subst"`
838 && $echo "X$libobj" | grep '[]~#^*{};<>?"'"'"' &()|`$[]' \
839 && $echo "$modename: libobj name \`$libobj' may not contain shell special characters."
840 objname=`$echo "X$obj" | $Xsed -e 's%^.*/%%'`
841 xdir=`$echo "X$obj" | $Xsed -e 's%/[^/]*$%%'`
850 $echo "$modename: you must specify a compilation command" 1>&2
851 $echo "$help" 1>&2
879 output_obj=`$echo "X$srcfile" | $Xsed -e 's%^.*/%%' -e 's%\.[^.]*$%%'`.${objext}
898 $echo "\
912 $echo "$srcfile" > "$lockfile"
918 qsrcfile=`$echo "X$srcfile" | $Xsed -e "$sed_quote_subst"`
975 $echo "\
1047 $echo "\
1183 $echo "$modename: warning: complete static linking is impossible in this configuration" 1>&2
1219 qarg=\"`$echo "X$arg" | $Xsed -e "$sed_quote_subst"`\" ### testsuite: skip nested quoting test
1278 $echo "$modename: symbol file \`$arg' does not exist"
1330 $echo "$modename: cannot find name of object for \`$arg'" 1>&2
1335 xdir=`$echo "X$arg" | $Xsed -e 's%/[^/]*$%%'`
1388 $echo "$modename: \`$arg' is not a valid libtool object" 1>&2
1394 xdir=`$echo "X$arg" | $Xsed -e 's%/[^/]*$%%'`
1401 pic_object=`$echo "X${xdir}${objdir}/${arg}" | $Xsed -e "$lo2o"`
1402 non_pic_object=`$echo "X${xdir}${arg}" | $Xsed -e "$lo2o"`
1409 $echo "$modename: link input file \`$save_arg' does not exist"
1421 $echo "$modename: only absolute run-paths are allowed" 1>&2
1495 $echo "$modename: \`-allow-undefined' is deprecated because it is the default" 1>&2
1521 $echo "$modename: more than one -exported-symbols argument is not allowed"
1562 dir=`$echo "X$arg" | $Xsed -e 's/^-L//'`
1569 $echo "$modename: cannot determine absolute directory name of \`$dir'" 1>&2
1585 testbindir=`$echo "X$dir" | $Xsed -e 's*/lib$*/bin*'`
1678 arg=`$echo "X$arg" | $Xsed -e "$sed_quote_subst"`
1705 $echo "$modename: warning: \`-no-install' is ignored for $host" 1>&2
1706 $echo "$modename: warning: assuming \`-no-fast-install' instead" 1>&2
1747 dir=`$echo "X$arg" | $Xsed -e 's/^-R//'`
1752 $echo "$modename: only absolute run-paths are allowed" 1>&2
1788 args=`$echo "X$arg" | $Xsed -e "$sed_quote_subst" -e 's/^-Wc,//'`
1802 arg=`$echo "X$arg" | $Xsed -e "s/^ //"`
1806 args=`$echo "X$arg" | $Xsed -e "$sed_quote_subst" -e 's/^-Wl,//'`
1821 arg=`$echo "X$arg" | $Xsed -e "s/^ //"`
1843 arg=`$echo "X$arg" | $Xsed -e "$sed_quote_subst"`
1875 $echo "$modename: cannot find name of object for \`$arg'" 1>&2
1880 xdir=`$echo "X$arg" | $Xsed -e 's%/[^/]*$%%'`
1933 $echo "$modename: \`$arg' is not a valid libtool object" 1>&2
1939 xdir=`$echo "X$arg" | $Xsed -e 's%/[^/]*$%%'`
1946 pic_object=`$echo "X${xdir}${objdir}/${arg}" | $Xsed -e "$lo2o"`
1947 non_pic_object=`$echo "X${xdir}${arg}" | $Xsed -e "$lo2o"`
1982 arg=`$echo "X$arg" | $Xsed -e "$sed_quote_subst"`
1999 $echo "$modename: the \`$prevarg' option requires an argument" 1>&2
2000 $echo "$help" 1>&2
2012 outputname=`$echo "X$output" | $Xsed -e 's%^.*/%%'`
2017 eval shlib_search_path=\`\$echo \"X\${$shlibpath_var}\" \| \$Xsed -e \'s/:/ /g\'\`
2024 output_objdir=`$echo "X$output" | $Xsed -e 's%/[^/]*$%%'`
2043 $echo "$modename: you must specify an output file" 1>&2
2044 $echo "$help" 1>&2
2106 $echo "$modename: libraries can \`-dlopen' only libtool libraries: $file" 1>&2
2156 $echo "$modename: warning: \`-l' is ignored for archives/objects" 1>&2
2159 name=`$echo "X$deplib" | $Xsed -e 's/^-l//'`
2203 ladir=`$echo "X$lib" | $Xsed -e 's%/[^/]*$%%'`
2228 newlib_search_path="$newlib_search_path "`$echo "X$deplib" | $Xsed -e 's/^-L//'`
2241 newlib_search_path="$newlib_search_path "`$echo "X$deplib" | $Xsed -e 's/^-L//'`
2244 $echo "$modename: warning: \`-L' is ignored for archives/objects" 1>&2
2251 dir=`$echo "X$deplib" | $Xsed -e 's/^-R//'`
2274 if eval $echo \"$deplib\" 2>/dev/null \
2285 $echo
2286 $echo "*** Warning: Trying to link with static lib archive $deplib."
2287 $echo "*** I have the capability to make that library automatically link in when"
2288 $echo "*** you link to this library. But I can only do this if you have a"
2289 $echo "*** shared version of the library, which you do not appear to have"
2290 $echo "*** because the file extensions .$libext of this argument makes me believe"
2291 $echo "*** that it is just a static archive that I should not used here."
2293 $echo
2294 $echo "*** Warning: Linking the shared library $output against the"
2295 $echo "*** static library $deplib is not portable!"
2334 $echo "$modename: cannot find the library \`$lib' or unhandled argument \`$deplib'" 1>&2
2341 $echo "$modename: \`$lib' is not a valid libtool archive" 1>&2
2345 ladir=`$echo "X$lib" | $Xsed -e 's%/[^/]*$%%'`
2379 $echo "$modename: cannot find name of link library for \`$lib'" 1>&2
2396 $echo "$modename: \`$lib' is not a convenience library" 1>&2
2409 $echo "$modename: cannot find name of link library for \`$lib'" 1>&2
2416 $echo "$modename: cannot -dlopen a convenience library: \`$lib'" 1>&2
2439 $echo "$modename: warning: cannot determine absolute directory name of \`$ladir'" 1>&2
2440 $echo "$modename: passing it literally to the linker, although it might fail" 1>&2
2445 laname=`$echo "X$lib" | $Xsed -e 's%^.*/%%'`
2450 $echo "$modename: warning: library \`$lib' was moved." 1>&2
2472 name=`$echo "X$laname" | $Xsed -e 's/\.la$//' -e 's/^lib//'`
2477 $echo "$modename: cannot -dlpreopen a convenience library: \`$lib'" 1>&2
2519 -L*) newlib_search_path="$newlib_search_path "`$echo "X$deplib" | $Xsed -e 's/^-L//'`;; ### testsuite: skip nested quoting test
2602 $echo
2604 $echo "*** Warning: Linking the executable $output against the loadable module"
2606 $echo "*** Warning: Linking the shared library $output against the loadable module"
2608 $echo "*** $linklib is not portable!"
2640 libname=`eval \\$echo \"$libname_spec\"`
2659 soname=`$echo $soroot | ${SED} -e 's/^.*\///'`
2660 newlib="libimp-`$echo $soname | ${SED} 's/^lib//;s/\.dll$//'`.a"
2714 $echo "** Warning, lib $linklib is a module, not a shared library"
2716 $echo
2717 $echo "** And there doesn't seem to be a static archive available"
2718 $echo "** The link will probably fail, sorry"
2762 $echo "$modename: configuration error: unsupported hardcode properties"
2854 $echo
2855 $echo "*** Warning: This system can not link to static lib archive $lib."
2856 $echo "*** I have the capability to make that library automatically link in when"
2857 $echo "*** you link to this library. But I can only do this if you have a"
2858 $echo "*** shared version of the library, which you do not appear to have."
2860 $echo "*** But as you try to build a module library, libtool will still create "
2861 $echo "*** a static module, that should work as long as the dlopening application"
2862 $echo "*** is linked with the -dlopen flag to resolve symbols at runtime."
2864 $echo
2865 $echo "*** However, this would only work if libtool was able to extract symbol"
2866 $echo "*** lists from a program, using \`nm' or equivalent, but libtool could"
2867 $echo "*** not find such a program. So, this module is probably useless."
2868 $echo "*** \`nm' from GNU binutils and a full rebuild may help."
2892 -R*) temp_xrpath=`$echo "X$libdir" | $Xsed -e 's/^-R//'`
2924 dir=`$echo "X$deplib" | $Xsed -e 's%/[^/]*$%%'`
2932 $echo "$modename: warning: cannot determine absolute directory name of \`$dir'" 1>&2
2942 $echo "$modename: \`$deplib' is not a valid libtool archive" 1>&2
2946 $echo "$modename: warning: \`$deplib' seems to be moved" 1>&2
2980 eval tmp_libs=`$echo "X$deplib" | $Xsed -e "s,^\-l,,"`
3110 $echo "$modename: warning: \`-l' and \`-L' are ignored for archives" 1>&2
3114 $echo "$modename: warning: \`-dlopen' is ignored for archives" 1>&2
3118 $echo "$modename: warning: \`-rpath' is ignored for archives" 1>&2
3122 $echo "$modename: warning: \`-R' is ignored for archives" 1>&2
3126 $echo "$modename: warning: \`-version-info/-version-number' is ignored for archives" 1>&2
3130 $echo "$modename: warning: \`-release' is ignored for archives" 1>&2
3134 $echo "$modename: warning: \`-export-symbols' is ignored for archives" 1>&2
3147 name=`$echo "X$outputname" | $Xsed -e 's/\.la$//' -e 's/^lib//'`
3153 $echo "$modename: libtool library \`$output' must begin with \`lib'" 1>&2
3154 $echo "$help" 1>&2
3159 name=`$echo "X$outputname" | $Xsed -e 's/\.la$//'`
3163 libname=`$echo "X$outputname" | $Xsed -e 's/\.la$//'`
3170 $echo "$modename: cannot build libtool library \`$output' from non-libtool objects on this host:$objs" 2>&1
3173 $echo
3174 $echo "*** Warning: Linking the shared library $output against the non-libtool"
3175 $echo "*** objects $objs is not portable!"
3181 $echo "$modename: warning: \`-dlopen self' is ignored for libtool libraries" 1>&2
3186 $echo "$modename: warning: ignoring multiple \`-rpath's for a libtool library" 1>&2
3203 $echo "$modename: warning: \`-version-info/-version-number' is ignored for convenience libraries" 1>&2
3207 $echo "$modename: warning: \`-release' is ignored for convenience libraries" 1>&2
3217 $echo "$modename: too many parameters to \`-version-info'" 1>&2
3218 $echo "$help" 1>&2
3268 $echo "$modename: CURRENT \`$current' must be a nonnegative integer" 1>&2
3269 $echo "$modename: \`$vinfo' is not valid version information" 1>&2
3277 $echo "$modename: REVISION \`$revision' must be a nonnegative integer" 1>&2
3278 $echo "$modename: \`$vinfo' is not valid version information" 1>&2
3286 $echo "$modename: AGE \`$age' must be a nonnegative integer" 1>&2
3287 $echo "$modename: \`$vinfo' is not valid version information" 1>&2
3293 $echo "$modename: AGE \`$age' is greater than the current interface number \`$current'" 1>&2
3294 $echo "$modename: \`$vinfo' is not valid version information" 1>&2
3386 $echo "$modename: unknown library version type \`$version_type'" 1>&2
3387 $echo "Fatal configuration error. See the $PACKAGE docs for more information." 1>&2
3422 $echo "$modename: warning: undefined symbols not allowed in $host shared libraries" 1>&2
3436 tempremovelist=`$echo "$output_objdir/*"`
3443 if echo $p | $EGREP -e "$precious_files_regex" >/dev/null 2>&1
3464 oldobjs="$objs "`$echo "X$libobjs" | $SP2NL | $Xsed -e '/\.'${libext}'$/d' -e "$lo2o" | $NL2SP`
3469 # lib_search_path=`$echo "$lib_search_path " | ${SED} -e "s% $path % %g"`
3470 # deplibs=`$echo "$deplibs " | ${SED} -e "s% -L$path % %g"`
3471 # dependency_libs=`$echo "$dependency_libs " | ${SED} -e "s% -L$path % %g"`
3588 libname=`eval \\$echo \"$libname_spec\"`
3589 deplib_matches=`eval \\$echo \"$library_names_spec\"`
3596 $echo
3597 $echo "*** Warning: dynamic linker does not accept needed library $i."
3598 $echo "*** I have the capability to make that library automatically link in when"
3599 $echo "*** you link to this library. But I can only do this if you have a"
3600 $echo "*** shared version of the library, which I believe you do not have"
3601 $echo "*** because a test_compile did reveal that the linker did not use it for"
3602 $echo "*** its dynamic dependency list that programs get resolved with at runtime."
3628 libname=`eval \\$echo \"$libname_spec\"`
3629 deplib_matches=`eval \\$echo \"$library_names_spec\"`
3636 $echo
3637 $echo "*** Warning: dynamic linker does not accept needed library $i."
3638 $echo "*** I have the capability to make that library automatically link in when"
3639 $echo "*** you link to this library. But I can only do this if you have a"
3640 $echo "*** shared version of the library, which you do not appear to have"
3641 $echo "*** because a test_compile did reveal that the linker did not use this one"
3642 $echo "*** as a dynamic dependency that programs can get resolved with at runtime."
3647 $echo
3648 $echo "*** Warning! Library $i is needed by this library but I was not able to"
3649 $echo "*** make it link in! You will probably need to install it or some"
3650 $echo "*** library that it depends on before this library will be fully"
3651 $echo "*** functional. Installing it before continuing would be even better."
3675 libname=`eval \\$echo \"$libname_spec\"`
3694 *) potlib=`$echo "X$potlib" | $Xsed -e 's,[^/]*$,,'`"$potliblink";;
3709 $echo
3710 $echo "*** Warning: linker path does not have real file for library $a_deplib."
3711 $echo "*** I have the capability to make that library automatically link in when"
3712 $echo "*** you link to this library. But I can only do this if you have a"
3713 $echo "*** shared version of the library, which you do not appear to have"
3714 $echo "*** because I did check the linker path looking for a file starting"
3716 $echo "*** with $libname but no candidates were found. (...for file magic test)"
3718 $echo "*** with $libname and none of the candidates passed a file format test"
3719 $echo "*** using a file magic. Last file checked: $potlib"
3744 libname=`eval \\$echo \"$libname_spec\"`
3749 if eval $echo \"$potent_lib\" 2>/dev/null \
3761 $echo
3762 $echo "*** Warning: linker path does not have real file for library $a_deplib."
3763 $echo "*** I have the capability to make that library automatically link in when"
3764 $echo "*** you link to this library. But I can only do this if you have a"
3765 $echo "*** shared version of the library, which you do not appear to have"
3766 $echo "*** because I did check the linker path looking for a file starting"
3768 $echo "*** with $libname but no candidates were found. (...for regex pattern test)"
3770 $echo "*** with $libname and none of the candidates passed a file format test"
3771 $echo "*** using a regex pattern. Last file checked: $potlib"
3782 tmp_deplibs=`$echo "X $deplibs" | $Xsed -e 's/ -lc$//' \
3787 tmp_deplibs=`$echo "X $tmp_deplibs" | ${SED} -e "1s,^X,," -e "s,$i,,"`
3790 if $echo "X $tmp_deplibs" | $Xsed -e 's/[ ]//g' \
3792 $echo
3794 $echo "*** Warning: inter-library dependencies are not supported in this platform."
3796 $echo "*** Warning: inter-library dependencies are not known to be supported."
3798 $echo "*** All declared inter-library dependencies are being dropped."
3812 newdeplibs=`$echo "X $newdeplibs" | $Xsed -e 's/ -lc / -framework System /'`
3818 $echo
3819 $echo "*** Warning: libtool could not satisfy all declared inter-library"
3820 $echo "*** dependencies of module $libname. Therefore, libtool will create"
3821 $echo "*** a static module, that should work as long as the dlopening"
3822 $echo "*** application is linked with the -dlopen flag."
3824 $echo
3825 $echo "*** However, this would only work if libtool was able to extract symbol"
3826 $echo "*** lists from a program, using \`nm' or equivalent, but libtool could"
3827 $echo "*** not find such a program. So, this module is probably useless."
3828 $echo "*** \`nm' from GNU binutils and a full rebuild may help."
3838 $echo "*** The inter-library dependencies that have been dropped here will be"
3839 $echo "*** automatically added whenever a program is linked with this library"
3840 $echo "*** or is declared to -dlopen it."
3843 $echo
3844 $echo "*** Since this library must not contain undefined symbols,"
3845 $echo "*** because either the platform does not support them or"
3846 $echo "*** it was explicitly requested with -no-undefined,"
3847 $echo "*** libtool will only create a static version of it."
3984 test -z "$pic_flag" && libobjs=`$echo "X$libobjs" | $SP2NL | $Xsed -e "$lo2o" | $NL2SP`
4022 $run eval '$echo "X$include_expsyms" | $SP2NL >> "$export_symbols"'
4084 $echo "creating reloadable object files..."
4098 output_la=`$echo "X$output" | $Xsed -e "$basename"`
4159 $echo "creating a temporary reloadable object file: $output"
4249 $echo "$modename: warning: \`-l' and \`-L' are ignored for objects" 1>&2
4253 $echo "$modename: warning: \`-dlopen' is ignored for objects" 1>&2
4257 $echo "$modename: warning: \`-rpath' is ignored for objects" 1>&2
4261 $echo "$modename: warning: \`-R' is ignored for objects" 1>&2
4265 $echo "$modename: warning: \`-version-info' is ignored for objects" 1>&2
4269 $echo "$modename: warning: \`-release' is ignored for objects" 1>&2
4275 $echo "$modename: cannot build library object \`$output' from non-libtool objects" 1>&2
4279 obj=`$echo "X$output" | $Xsed -e "$lo2o"`
4304 reload_conv_objs=$reload_objs\ `$echo "X$tmp_whole_archive_flags" | $Xsed -e 's|,| |g'`
4315 reload_objs="$objs$old_deplibs "`$echo "X$libobjs" | $SP2NL | $Xsed -e '/\.'${libext}$'/d' -e '/\.lib$/d' -e "$lo2o" | $NL2SP`" $reload_conv_objs" ### testsuite: skip nested quoting test
4346 # $show "echo timestamp > $libobj"
4347 # $run eval "echo timestamp > $libobj" || exit $?
4376 *cygwin*) output=`$echo $output | ${SED} -e 's,.exe$,,;s,$,.exe,'` ;;
4379 $echo "$modename: warning: \`-version-info' is ignored for programs" 1>&2
4383 $echo "$modename: warning: \`-release' is ignored for programs" 1>&2
4389 $echo "$modename: warning: \`AC_LIBTOOL_DLOPEN' not used. Assuming no dlopen support."
4396 compile_deplibs=`$echo "X $compile_deplibs" | $Xsed -e 's/ -lc / -framework System /'`
4397 finalize_deplibs=`$echo "X $finalize_deplibs" | $Xsed -e 's/ -lc / -framework System /'`
4484 testbindir=`$echo "X$libdir" | $Xsed -e 's*/lib$*/bin*'`
4542 compile_command=`$echo "X$compile_command" | $SP2NL | $Xsed -e "$lo2o" | $NL2SP`
4543 finalize_command=`$echo "X$finalize_command" | $SP2NL | $Xsed -e "$lo2o" | $NL2SP`
4551 $echo "$modename: not configured to extract global symbols from dlpreopened files" 1>&2
4568 test -z "$run" && $echo > "$output_objdir/$dlsyms" "\
4585 test -z "$run" && $echo ': @PROGRAM@ ' > "$nlist"
4588 progfiles=`$echo "X$objs$old_deplibs" | $SP2NL | $Xsed -e "$lo2o" | $NL2SP`
4611 $run eval "echo EXPORTS "'> "$output_objdir/$outputname.def"'
4621 $run eval "echo EXPORTS "'> "$output_objdir/$outputname.def"'
4630 name=`$echo "$arg" | ${SED} -e 's%^.*/%%'`
4631 $run eval '$echo ": $name " >> "$nlist"'
4660 $echo '/* NONE */' >> "$output_objdir/$dlsyms"
4663 $echo >> "$output_objdir/$dlsyms" "\
4679 $echo >> "$output_objdir/$dlsyms" "\
4687 $echo >> "$output_objdir/$dlsyms" "\
4694 $echo >> "$output_objdir/$dlsyms" "\
4704 $echo >> "$output_objdir/$dlsyms" "\
4752 compile_command=`$echo "X$compile_command" | $SP2NL | $Xsed -e "s%@SYMFILE@%$output_objdir/${outputname}.def $output_objdir/${outputname}S.${objext}%" | $NL2SP`
4753 finalize_command=`$echo "X$finalize_command" | $SP2NL | $Xsed -e "s%@SYMFILE@%$output_objdir/${outputname}.def $output_objdir/${outputname}S.${objext}%" | $NL2SP`
4755 compile_command=`$echo "X$compile_command" | $SP2NL | $Xsed -e "s%@SYMFILE@%$output_objdir/${outputname}S.${objext}%" | $NL2SP`
4756 finalize_command=`$echo "X$finalize_command" | $SP2NL | $Xsed -e "s%@SYMFILE@%$output_objdir/${outputname}S.${objext}%" | $NL2SP`
4760 compile_command=`$echo "X$compile_command" | $SP2NL | $Xsed -e "s%@SYMFILE@%$output_objdir/${outputname}S.${objext}%" | $NL2SP`
4761 finalize_command=`$echo "X$finalize_command" | $SP2NL | $Xsed -e "s%@SYMFILE@%$output_objdir/${outputname}S.${objext}%" | $NL2SP`
4766 $echo "$modename: unknown suffix for \`$dlsyms'" 1>&2
4776 compile_command=`$echo "X$compile_command" | $SP2NL | $Xsed -e "s% @SYMFILE@%%" | $NL2SP`
4777 finalize_command=`$echo "X$finalize_command" | $SP2NL | $Xsed -e "s% @SYMFILE@%%" | $NL2SP`
4782 compile_command=`$echo "X$compile_command" | $SP2NL | $Xsed -e 's%@OUTPUT@%'"$output"'%g' | $NL2SP`
4849 link_command=`$echo "X$link_command" | $Xsed -e 's%@OUTPUT@%'"$output"'%g'`
4863 $echo "$modename: warning: this platform does not like uninstalled shared libraries" 1>&2
4864 $echo "$modename: \`$output' will be relinked during installation" 1>&2
4869 relink_command=`$echo "X$compile_var$compile_command$compile_rpath" | $SP2NL | $Xsed -e 's%@OUTPUT@%\$progdir/\$file%g' | $NL2SP`
4881 link_command=`$echo "X$link_command" | $Xsed -e 's%@OUTPUT@%'"$output_objdir/$outputname"'%g'`
4901 var_value=`$echo "X$var_value" | $Xsed -e "$sed_quote_subst"`
4906 relink_command=`$echo "X$relink_command" | $SP2NL | $Xsed -e "$sed_quote_subst" | $NL2SP`
4909 # Quote $echo for shipping.
4910 if test "X$echo" = "X$SHELL $progpath --fallback-echo"; then
4912 [\\/]* | [A-Za-z]:[\\/]*) qecho="$SHELL $progpath --fallback-echo";;
4913 *) qecho="$SHELL `pwd`/$progpath --fallback-echo";;
4915 qecho=`$echo "X$qecho" | $Xsed -e "$sed_quote_subst"`
4917 qecho=`$echo "X$echo" | $Xsed -e "$sed_quote_subst"`
4925 *.exe) output=`$echo $output|${SED} 's,.exe$,,'` ;;
4931 outputname=`$echo $outputname|${SED} 's,.exe$,,'` ;;
5296 $echo > $output "\
5338 # When we are sourced in execute mode, \$file and \$echo are already set.
5340 echo=\"$qecho\"
5342 # Make sure echo works.
5346 elif test \"X\`(\$echo '\t') 2>/dev/null\`\" = 'X\t'; then
5347 # Yippee, \$echo works!
5350 # Restart under the correct shell, and then maybe \$echo will work.
5355 $echo >> $output "\
5358 thisdir=\`\$echo \"X\$file\" | \$Xsed -e 's%/[^/]*$%%'\`
5364 destdir=\`\$echo \"X\$file\" | \$Xsed -e 's%/[^/]*\$%%'\`
5374 file=\`\$echo \"X\$file\" | \$Xsed -e 's%^.*/%%'\`
5384 $echo >> $output "\
5400 $echo >> $output "\
5406 $echo \"\$relink_command_output\" >&2
5418 $echo >> $output "\
5424 $echo >> $output "\
5430 $echo >> $output "\
5436 $shlibpath_var=\`\$echo \"X\$$shlibpath_var\" | \$Xsed -e 's/::*\$//'\`
5444 $echo >> $output "\
5450 $echo >> $output "\
5457 $echo >> $output "\
5463 $echo >> $output "\
5468 $echo >> $output "\
5469 \$echo \"\$0: cannot exec \$program \$*\"
5474 \$echo \"\$0: error: \\\`\$progdir/\$program' does not exist\" 1>&2
5475 \$echo \"This script is just a wrapper for \$program.\" 1>&2
5476 $echo \"See the $PACKAGE documentation for more information.\" 1>&2
5524 $echo "X$obj" | $Xsed -e 's%^.*/%%'
5528 $echo "copying selected object files to avoid basename conflicts..."
5549 objbase=`$echo "X$obj" | $Xsed -e 's%^.*/%%'`
5580 $echo "using piecewise archive linking..."
5649 var_value=`$echo "X$var_value" | $Xsed -e "$sed_quote_subst"`
5655 relink_command=`$echo "X$relink_command" | $SP2NL | $Xsed -e "$sed_quote_subst" | $NL2SP`
5674 name=`$echo "X$deplib" | $Xsed -e 's%^.*/%%'`
5677 $echo "$modename: \`$deplib' is not a valid libtool archive" 1>&2
5688 name=`$echo "X$lib" | $Xsed -e 's%^.*/%%'`
5691 $echo "$modename: \`$lib' is not a valid libtool archive" 1>&2
5699 name=`$echo "X$lib" | $Xsed -e 's%^.*/%%'`
5702 $echo "$modename: \`$lib' is not a valid libtool archive" 1>&2
5734 $echo > $output "\
5771 $echo >> $output "\
5794 $echo "X$nonopt" | grep shtool > /dev/null; then
5796 arg=`$echo "X$nonopt" | $Xsed -e "$sed_quote_subst"`
5812 arg=`$echo "X$arg" | $Xsed -e "$sed_quote_subst"`
5863 arg=`$echo "X$arg" | $Xsed -e "$sed_quote_subst"`
5873 $echo "$modename: you must specify an install program" 1>&2
5874 $echo "$help" 1>&2
5879 $echo "$modename: the \`$prev' option requires an argument" 1>&2
5880 $echo "$help" 1>&2
5886 $echo "$modename: no file or destination specified" 1>&2
5888 $echo "$modename: you must specify a destination" 1>&2
5890 $echo "$help" 1>&2
5895 dest=`$echo "X$dest" | $Xsed -e 's%/$%%'`
5903 destdir=`$echo "X$dest" | $Xsed -e 's%/[^/]*$%%'`
5905 destname=`$echo "X$dest" | $Xsed -e 's%^.*/%%'`
5910 $echo "$modename: \`$dest' is not a directory" 1>&2
5911 $echo "$help" 1>&2
5922 $echo "$modename: \`$destdir' must be an absolute directory name" 1>&2
5923 $echo "$help" 1>&2
5951 $echo "$modename: \`$file' is not a valid libtool archive" 1>&2
5952 $echo "$help" 1>&2
5979 dir=`$echo "X$file" | $Xsed -e 's%/[^/]*$%%'`/
5985 inst_prefix_dir=`$echo "$destdir" | $SED "s%$libdir\$%%"`
5994 $echo "$modename: error: cannot install \`$file' to a directory not ending in $libdir" 1>&2
6000 relink_command=`$echo "$relink_command" | $SP2NL | $SED "s%@inst_prefix_dir@%-inst-prefix-dir $inst_prefix_dir%" | $NL2SP`
6002 relink_command=`$echo "$relink_command" | $SP2NL | $SED "s%@inst_prefix_dir@%%" | $NL2SP`
6005 $echo "$modename: warning: relinking \`$file'" 1>&2
6009 $echo "$modename: error: relink \`$file' with the above command before installing it" 1>&2
6069 name=`$echo "X$file" | $Xsed -e 's%^.*/%%'`
6085 destfile=`$echo "X$file" | $Xsed -e 's%^.*/%%'`
6092 staticdest=`$echo "X$destfile" | $Xsed -e "$lo2o"`
6099 $echo "$modename: cannot copy a libtool object to \`$destfile'" 1>&2
6100 $echo "$help" 1>&2
6114 staticobj=`$echo "X$file" | $Xsed -e "$lo2o"`
6127 destfile=`$echo "X$file" | $Xsed -e 's%^.*/%%'`
6138 file=`$echo $file|${SED} 's,.exe$,,'`
6147 wrapper=`$echo $file | ${SED} -e 's,.exe$,,'`
6170 $echo "$modename: invalid libtool wrapper script \`$wrapper'" 1>&2
6185 libfile="$libdir/"`$echo "X$lib" | $Xsed -e 's%^.*/%%g'` ### testsuite: skip nested quoting test
6187 $echo "$modename: warning: \`$lib' has not been installed in \`$libdir'" 1>&2
6208 file=`$echo "X$file$stripped_ext" | $Xsed -e 's%^.*/%%'`
6211 relink_command=`$echo "X$relink_command" | $SP2NL | $Xsed -e 's%@OUTPUT@%'"$outputname"'%g' | $NL2SP`
6216 $echo "$modename: error: relink \`$file' with the above command before installing it" 1>&2
6222 $echo "$modename: warning: cannot relink \`$file'" 1>&2
6226 file=`$echo "X$file$stripped_ext" | $Xsed -e "s%\([^/]*\)$%$objdir/\1%"`
6242 destfile=`$echo $destfile | ${SED} -e 's,.exe$,,'`
6255 name=`$echo "X$file" | $Xsed -e 's%^.*/%%'`
6281 $echo "$modename: warning: remember to run \`$progname --finish$future_libdirs'" 1>&2
6331 $echo "X----------------------------------------------------------------------" | $Xsed
6332 $echo "Libraries have been installed in:"
6334 $echo " $libdir"
6336 $echo
6337 $echo "If you ever happen to want to link against installed libraries"
6338 $echo "in a given directory, LIBDIR, you must either use libtool, and"
6339 $echo "specify the full pathname of the library, or use the \`-LLIBDIR'"
6340 $echo "flag during linking and do at least one of the following:"
6342 $echo " - add LIBDIR to the \`$shlibpath_var' environment variable"
6343 $echo " during execution"
6346 $echo " - add LIBDIR to the \`$runpath_var' environment variable"
6347 $echo " during linking"
6353 $echo " - use the \`$flag' linker flag"
6356 $echo " - have your system administrator run these commands:$admincmds"
6359 $echo " - have your system administrator add LIBDIR to \`/etc/ld.so.conf'"
6361 $echo
6362 $echo "See any operating system documentation about shared libraries for"
6363 $echo "more information, such as the ld(1) and ld.so(8) manual pages."
6364 $echo "X----------------------------------------------------------------------" | $Xsed
6375 $echo "$modename: you must specify a COMMAND" 1>&2
6376 $echo "$help"
6383 $echo "$modename: \`$file' is not a file" 1>&2
6384 $echo "$help" 1>&2
6394 $echo "$modename: \`$lib' is not a valid libtool archive" 1>&2
6395 $echo "$help" 1>&2
6412 test -n "$library_names" && $echo "$modename: warning: \`$file' was not linked with \`-export-dynamic'"
6416 dir=`$echo "X$file" | $Xsed -e 's%/[^/]*$%%'`
6423 $echo "$modename: cannot find \`$dlname' in \`$dir' or \`$dir/$objdir'" 1>&2
6431 dir=`$echo "X$file" | $Xsed -e 's%/[^/]*$%%'`
6436 $echo "$modename: warning \`-dlopen' is ignored for non-libtool libraries and objects" 1>&2
6478 file=`$echo "X$file" | $Xsed -e "$sed_quote_subst"`
6501 eval "\$echo \"\$shlibpath_var=\$$shlibpath_var\""
6502 $echo "export $shlibpath_var"
6504 $echo "$cmd$args"
6531 $echo "$modename: you must specify an RM program" 1>&2
6532 $echo "$help" 1>&2
6540 dir=`$echo "X$file" | $Xsed -e 's%/[^/]*$%%'`
6547 name=`$echo "X$file" | $Xsed -e 's%^.*/%%'`
6657 file=`$echo $file|${SED} 's,.exe$,,'`
6658 noexename=`$echo $name|${SED} 's,.exe$,,'`
6699 $echo "$modename: you must specify a MODE" 1>&2
6700 $echo "$generic_help" 1>&2
6706 $echo "$modename: invalid operation mode \`$mode'" 1>&2
6707 $echo "$generic_help" 1>&2
6719 "") $echo \
6754 $echo \
6768 $echo \
6789 $echo \
6809 $echo \
6821 $echo \
6834 $echo \
6891 $echo \
6905 $echo "$modename: invalid operation mode \`$mode'" 1>&2
6906 $echo "$help" 1>&2
6911 $echo
6912 $echo "Try \`$modename --help' for more information about other modes."